Collect UPI Pay Request
curl --request POST \
--url https://test-api.sandbox.co.in/bank/virtual/accounts/{account_number}/payments/payin/upi/collect \
--header 'Content-Type: application/json' \
--data '
{
"@entity": "<string>",
"payer": {
"@entity": "<string>",
"name": "<string>",
"bank_account": {
"@entity": "<string>",
"upi_id": "<string>"
}
},
"amount": 123,
"payment_details": {
"@entity": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://test-api.sandbox.co.in/bank/virtual/accounts/{account_number}/payments/payin/upi/collect"
payload = {
"@entity": "<string>",
"payer": {
"@entity": "<string>",
"name": "<string>",
"bank_account": {
"@entity": "<string>",
"upi_id": "<string>"
}
},
"amount": 123,
"payment_details": {
"@entity": "<string>",
"description": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
'@entity': '<string>',
payer: {
'@entity': '<string>',
name: '<string>',
bank_account: {'@entity': '<string>', upi_id: '<string>'}
},
amount: 123,
payment_details: {'@entity': '<string>', description: '<string>'}
})
};
fetch('https://test-api.sandbox.co.in/bank/virtual/accounts/{account_number}/payments/payin/upi/collect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": 123,
"transaction_id": "<string>",
"data": {
"id": "<string>",
"description": "<string>",
"created_at": 123,
"@entity": "<string>",
"notes": {},
"payer": {
"@entity": "<string>",
"name": "<string>",
"bank_account": {
"@entity": "<string>",
"notes": {},
"upi_id": "<string>"
}
},
"payee": {
"@entity": "<string>",
"name": "<string>",
"bank_account": {
"@entity": "<string>",
"account_number": "<string>",
"ifsc": "<string>",
"notes": {},
"upi_id": "<string>"
}
},
"status": "<string>",
"mode": "<string>",
"type": "<string>",
"amount": 123,
"fee": 123,
"tax": 123
},
"code": 123
}Generate UPI Collect Pay Request
Generate UPI Collect Pay Request API allows you to initiate a UPI collect pay request for a virtual account
POST
/
bank
/
virtual
/
accounts
/
{account_number}
/
payments
/
payin
/
upi
/
collect
Collect UPI Pay Request
Path Parameters
Body
application/json
Was this page helpful?
āI